Page MenuHomePhabricator

When deleting orphaned echo_event rows, also delete echo_target_page rows that refer to them
Closed, ResolvedPublic

Description

In removeOrphanedEvents.php, and in future code that deletes echo_event rows more proactively (T221262), we should also delete echo_target_page rows associated with the events that we're deleting.

We'll also need to write a script that finds already-orphaned echo_target_page rows and deletes them (or make this a flag in removeOrphanedEvents.php).

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.Apr 17 2019, 4:39 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 17 2019, 4:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 505683 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] removeOrphanedEvents.php: Also remove echo_target_page rows

https://gerrit.wikimedia.org/r/505683

Catrope claimed this task.Apr 24 2019, 4:04 PM

Change 505683 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] removeOrphanedEvents.php: Also remove echo_target_page rows

https://gerrit.wikimedia.org/r/505683

Etonkovidova closed this task as Resolved.May 3 2019, 9:23 PM

Change 532482 had a related patch set uploaded (by Paladox; owner: Catrope):
[mediawiki/extensions/Echo@REL1_33] removeOrphanedEvents.php: Also remove echo_target_page rows

https://gerrit.wikimedia.org/r/532482

Change 532482 merged by jenkins-bot:
[mediawiki/extensions/Echo@REL1_33] removeOrphanedEvents.php: Also remove echo_target_page rows

https://gerrit.wikimedia.org/r/532482